<template>
  <single-pane :capt="dictionaryRu.title">
    <ob-table
      :columns="columnsObTable"
      :functionalPanel="true"
      :remote-opt="{
        method: getActivities,
        contentKey: 'content'
      }"
      is-fixed-header
    />
  </single-pane>
</template>

<script>
  import api        from '@/api';

  import paging     from '@/mixins/dictionaries/paging';
  import itemMixin  from '@/mixins/dictionaries/edit-item';
  import SinglePane from 'common-components/src/obComponents/obSinglePanels';
  import ObTable    from 'common-components/src/obComponents/obTable';
  import { dictionaryDefault } from '@/translations/ru/default'
  import { dictionary }        from '@/translations/ru/dictionaries__services__activities'

  export default {
    name: 'Activities',
    components: {
      SinglePane,
      ObTable
    },
    mixins: [
      paging,
      itemMixin
    ],
    data () {
      return {
        selectedData: {},
        api: {
          source: '/oboz2-dictionary-activities-viewer/v1'
        },
        dictionaryRu: Object.assign(dictionaryDefault, dictionary)
      }
    },
    computed: {
      columnsObTable () {
        return [
          {
            title: this.dictionaryRu.columns.denomination,
            key: 'denomination',
          },
          {
            title: this.dictionaryRu.columns.status,
            width: 110,
            key: 'is_active',
            html: data => data.is_active
              ? this.dictionaryRu.status.active
              : this.dictionaryRu.status.inactive
          },
        ]
      },
    },
    methods: {
      async getActivities(params) {
        try {
          const { data } = await api.general.getActivities(params)

          return data
        }
        catch (e) {
          console.error(e);
          this.$notification({
            type: 'system_notification_error',
            message: 'Ошибка загрузки данных'
          })
        }
      }
    }
  }
</script>